import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiComputeAffinityRuleAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeAffinityRuleAddProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def affinity_rule_add(
        self,
        *,
        vm_id: int,
        topology: _nested.AffinityTopology,
        policy: _nested.AffinityPolicy,
        mode: _nested.AffinityMode,
        key: str,
        value: str,
    ) -> CloudapiComputeAffinityRuleAddResultBool:
        ...
